Retrieves the job approval with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

job_approval
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of jobs

globally unique identifier

Required

user_id

Foreign key, user that makes the approval

globally unique identifier

Required

ready_for_multi_approval

Inform if this is a temp approval prepared for a future approval with the customer (multi approval)

boolean
is_daily_approval

Intermediate approval of full approval

boolean
contact_id

Foreign key of contact, that signed the approval

globally unique identifier
contact_name

Contact fullname that sign the approval if not already exists

string

Max length: 255

customer_remarks

Remarks of the customer during the approval

string

Max length: 4000

date_generated

Local Date+Time of the approval generation

date
additional_email

Additional emails that should receive the approval pdf

string

Max length: 4000

is_signed

Inform if a signature is available (cf db_signature)

boolean
job_status_id

Job Status that will be used to alter the jobs (WaitingFurtherAction,Completed)

globally unique identifier
rating

Rating (0,5) the quality of the jobs

integer
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "12b5b631-808c-428a-babc-a50179d75e27",
  "jobs_id": "1f37779e-57d9-4e54-b155-f41eaa8d87c9",
  "user_id": "8cf703c0-dedb-49af-9d14-770284cd4e1b",
  "ready_for_multi_approval": true,
  "is_daily_approval": true,
  "contact_id": "c1b1ad76-9430-430a-864d-e0a77e1c3e2b",
  "contact_name": "sample string 7",
  "customer_remarks": "sample string 8",
  "date_generated": "2026-11-14T23:49:13.0421464+00:00",
  "additional_email": "sample string 10",
  "is_signed": true,
  "job_status_id": "3bf40e6a-9330-469c-bcdf-d760f23615f8",
  "rating": 13,
  "modified_dateutc": "2026-11-14T23:49:13.0421464+00:00"
}